﻿@model DA.Website.Models.UserModel.UserVM

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Details</h1>

<div>
    <h4>User</h4>
    <hr/>
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Username)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Username)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.First_Name)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.First_Name)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Last_Name)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Last_Name)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Age)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Age)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Gender)
        </dt>
        <dd class = "col-sm-10">
           @if (Model.Gender)
	        {
		        <p>Male</p>
           }
           else
           {
               <p>Female</p>
           }
        </dd>
    </dl>
</div>
<div>
    @if (DA.Website.Models.UserModel.LoggedUser.Username == Model.Username)
    {
        <div>
            @Html.ActionLink("Delete my account", "Delete", "User", new { Id = Model.Id }) |
            @Html.ActionLink("Edit my account", "Edit", "User", new { username = Model.Username })
        </div>
    }
    <a asp-action="Index">Back to List</a>
</div>
